Subject: [688] Non-Delivery of:[665] fchown does not work!

From: POSTMASTER <[email-masked]>
Date: Fri Nov 11 04:17:12 1994

Intended recipients: dan thorson
Failure reason: Router: Unable to open mailbox file MN-MPS1 mail.box: Server not responding
Date: Thu, 10 Nov 1994 18:24:57 +0800
From: Sze-Yao Ni <[email-masked]>
Subject: [665] fchown does not work!
To: [email-masked]
Cc: [email-masked]
Errors-to: [email-masked]
Reply-to: [email-masked]
Message-id: <[email-masked]>
Content-transfer-encoding: 7BIT
 
Hi:
 
I have installed wu-ftpd-2.4 in our DEC3000/400 running OSF1 V1.3.
The problem is that the command in ftpaccess:
'upload /ftp/root /pub/upload/* yes jlay users 0640 dirs'
will lead to error message 'fchown: Not owner' when someone tries to
upload a file into that directory.
 
I traced the problem, I found the error message comes from src/ftpd.c:
        if ((fchown(fdout, uid, gid)) < 0) {
            (void) seteuid(oldid);
            perror_reply(550, "fchown");
            return;
        }
, then I try to use lchown:
        if ((lchown(name, uid, gid)) < 0) {
            (void) seteuid(oldid);
            perror_reply(550, "lchown");
            return;
        }
and it works!
I do'nt know why, is that a known bug? Is it safe to use lchown?
 
::  S.-Y. Ni  (Sze4-Yao2 Ni2)
::  Institute of CSIE, National Central University, Chungli, Taiwan, R.O.C
::  Internet: [email-masked],  [email-masked]
::  Internet BBS: Neesy at bbs.ee.ncu.edu.tw

### Message trace information:
### IGATE1 Version 8, IGATE2 Version 10
### MsgFileName: m:\mgate\inbound\03552000.MIN
### From:        [email-masked]
### To:          [email-masked]
--
POSTMASTER -- [email-masked]
-------------------------------------------------------------------------
Seagate Technology   -   920 Disc Drive   -   Scotts Valley, CA 95066 USA
Main Phone 408-438-6550   -   Email Problems [email-masked]
Technical Support: BBS 408-438-8771  Fax 408-438-8137  Voice 408-438-8222  
-------------------------------------------------------------------------

### OGATE Version 8 message trace and attachment information:
### MsgFileName: m:\mgate\outbound\162.MSG
### Org Date:    11-10-94 03:55:59 AM
### From:        [email-masked]@INTERNET @ SEAGATE
### To:          [email-masked]@INTERNET
### Subject:     Non-Delivery of:[665] fchown does not work!
### Attachments: none